using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WorldSelectionListController : MonoBehaviour {

    public GameObject prefab;

	void Start () {
		for (int i = 0; i < Game.instance.worlds.Length; ++i)
        {
            var go = Instantiate(prefab);
            go.SetActive(true);
            go.transform.SetParent(transform);
            var wsc = go.GetComponent<WorldSelectionController>();
            wsc.worldIndex = i;
        }
	}
}
